Bug 55244 - using kio_fish with kate saves files with 0bytes
Summary: using kio_fish with kate saves files with 0bytes
Status: RESOLVED FIXED
Alias: None
Product: kio
Classification: Frameworks and Libraries
Component: fish (show other bugs)
Version: 2.1
Platform: Gentoo Packages Linux
: NOR grave (vote)
Target Milestone: ---
Assignee: Jörg Walter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-26 22:56 UTC by Daniel Quinn
Modified: 2003-06-24 22:40 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Quinn 2003-02-26 22:56:56 UTC
Version:           2.1 (using KDE 3.1.0)
Installed from:    Gentoo
Compiler:          gcc version 2.95.3 20010315 (release)
OS:          Linux (i686) release 2.4.19-gentoo-r10

using the file browser on the left, i can log into other servers with the syntax:

fish://username:password@server/dir1/dir2/

and get a file listing.
and i can open files
and i can edit files
but if i edit a file and then save it, it *sometimes* overwrites the file with nothing giving me a 0byte file size.  i've lost all my work twice now.
Comment 1 Oliver Kohll 2003-02-27 00:34:47 UTC
Have lost work once this way as well (SuSE rpms). 
Comment 2 Daniel Quinn 2003-02-28 16:18:22 UTC
i've found that if i save the file first, then close it, i don't lose anything.  it would appear that the 
only time i lose the whole file is when i close the file and select "save before closing". 
Comment 3 Maksim Orlovich 2003-02-28 16:25:20 UTC
Possible data loss -> grave 
 
Comment 4 Christoph Cullmann 2003-03-06 23:37:48 UTC
kio_fish problem or does we need to do something special with kio_fish ?
Comment 5 Jörg Walter 2003-05-19 14:10:49 UTC
I can reproduce this on Gentoo as well. Not yet having investigated it, it sounds 
like the kioslave is killed too early. Maybe the Job is destroyed before it can 
complete? 
Anyhow, this is just my first guess. Will look into it in more detail later. 
 
Comment 6 Waldo Bastian 2003-06-24 22:40:25 UTC
Subject: kdebase/kate/app

CVS commit by waba: 

Make saving remote files during shutdown work. (BR55244)
CCMAIL: 55244-done@bugs.kde.org


  M +2 -2      kateapp.cpp   1.59


--- kdebase/kate/app/kateapp.cpp  #1.58:1.59
@@ -70,5 +70,5 @@ KateApp::KateApp (bool forcedNewProcess,
   newMainWindow ();
 
-  connect(this, SIGNAL(lastWindowClosed()), SLOT(quit()));
+//  connect(this, SIGNAL(lastWindowClosed()), SLOT(deref()));
 
   KCmdLineArgs* args = KCmdLineArgs::parsedArgs();